gnunet-datastore(1)

NAME
gnunet-datastore - dump or insert (restore) GNUnet datastore databases

SYNOPSIS
gnunet-datastore [OPTIONS]

DESCRIPTION

gnunet-datastore can be used to backup and restore or merge GNUnet datastores. This is useful if a datastore is to be migrated between SQL databases, i.e. from sqlite to postgres or vice versa. gnunet-datastore will dump the entire contents of the database or insert a dump file into the database.

-c FILENAME, --config=FILENAME
    configuration file to use

-d, --dump
    dump all records to a file

-f FILENAME, --file=FILENAME
    file to dump to or insert from. Otherwise stdin/stdout are used.

-h, --help
    print help page

-i, --insert
    insert from dump file

-L LOGLEVEL, --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-l FILENAME, --logfile=FILENAME
    configure logging to write logs to FILENAME

-v, --version
    print the version number

NOTES

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-publish(1)